For the complete documentation index, see llms.txt. This page is also available as Markdown.

Certificates

Get a listing certificate

get
Authorizations
AuthorizationstringRequired
Query parameters
certificate[listing_id]integerRequired

Id of the listing

Responses
200

certificate found

application/json
get/api/v1/certificates
GET /api/v1/certificates?certificate[listing_id]=1 HTTP/1.1
Host: catalog.example.edu
Authorization: YOUR_API_KEY
Accept: */*
200

certificate found

{
  "certificate": {
    "id": 1,
    "listing_id": 1,
    "name": "text",
    "active": true,
    "template": "text",
    "pdf_settings": {
      "orientation": "text"
    },
    "created_at": "text",
    "updated_at": "text",
    "days_to_expire": 1,
    "expires_at": "text"
  }
}

Create a certificate

post
Authorizations
AuthorizationstringRequired
Body
days_to_expireintegerOptional

Days until expiry after award; mutually exclusive with expires_at

expires_atstringOptional

Fixed expiry datetime; mutually exclusive with days_to_expire

Responses
201

certificate created

application/json
post/api/v1/certificates
POST /api/v1/certificates HTTP/1.1
Host: catalog.example.edu
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 155

{
  "certificate": {
    "listing_id": 1,
    "name": "text",
    "active": true,
    "template": "text",
    "pdf_settings": {
      "orientation": "text"
    }
  },
  "days_to_expire": 1,
  "expires_at": "text"
}
201

certificate created

{
  "certificate": {
    "id": 1,
    "listing_id": 1,
    "name": "text",
    "active": true,
    "template": "text",
    "pdf_settings": {
      "orientation": "text"
    },
    "created_at": "text",
    "updated_at": "text",
    "days_to_expire": 1,
    "expires_at": "text"
  }
}

Delete a certificate

delete
Authorizations
AuthorizationstringRequired
Body
nullify_requirements_completed_atbooleanOptional

Nullify requirements_completed_at for enrollments (default: false)

Responses
204

certificate deleted

No content

delete/api/v1/certificates
DELETE /api/v1/certificates HTTP/1.1
Host: catalog.example.edu
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 73

{
  "certificate": {
    "listing_id": 1
  },
  "nullify_requirements_completed_at": true
}
204

certificate deleted

No content

Revoke users' certificates

put
Authorizations
AuthorizationstringRequired
Body
Responses
200

certificates revoked

application/json
put/api/v1/certificates/revoke_users_certificate
PUT /api/v1/certificates/revoke_users_certificate HTTP/1.1
Host: catalog.example.edu
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 54

{
  "certificate": {
    "listing_id": 1,
    "canvas_user_ids": [
      1
    ]
  }
}
200

certificates revoked

{
  "revoked_certificates": [
    {
      "canvas_user_id": 1,
      "canvas_course_id": 1,
      "listing_id": 1
    }
  ]
}

Last updated

Was this helpful?